﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_icons
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraGrid1.DataSource = GetTable();
            
            
        }
        static DataTable GetTable()
        {
            // Step 2: here we create a DataTable.
            // ... We add 4 columns, each with a Type.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Days", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Diagnosis", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            // Step 3: here we add rows.
            table.Rows.Add(25, 5, "Drug A", "Disease A", DateTime.Now);
            table.Rows.Add(20, 10, "Drug A", "Disease B", DateTime.Now);
            table.Rows.Add(50, 2, "Drug Z", "Problem Z", DateTime.Now);
            table.Rows.Add(10, 5, "Drug Q", "Disorder Q", DateTime.Now);
            table.Rows.Add(5, 6, "Drug Q", "Disorder R", DateTime.Now);
            table.Rows.Add(21, 9, "Medicine A", "Diagnosis A", DateTime.Now);
            return table;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Drug", false, true);
            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Date", false, true);

            // This will get the current PROJECT directory
            string projectDirectory = Directory.GetParent(Environment.CurrentDirectory).Parent.FullName;

            this.ultraGrid1.DisplayLayout.SortIndicatorAscendingImage = Image.FromFile(projectDirectory+ @"\down-arrow.png");
            this.ultraGrid1.DisplayLayout.SummaryButtonImage = Image.FromFile(projectDirectory + @"\32306.png");
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Dosage"].AllowRowSummaries = AllowRowSummaries.True;
            e.Layout.Bands[0].Columns["Days"].AllowRowSummaries = AllowRowSummaries.True;
        }
    }
}
